Subject: [Pce] [Technical Errata Reported] RFC5520 (1777)

From: RFC Errata System <[email-masked]>
Date: Tue, 5 May 2009 05:11:46 -0700 (PDT)

The following errata report has been submitted for RFC5520,
"Preserving Topology Confidentiality in Inter-Domain Path Computation Using a Path-Key-Based Mechanism".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5520&eid=1777

--------------------------------------
Type: Technical
Reported by: Alfred Hoenes <[email-masked]>

Section: 7.3, pg. 17

Original Text
-------------
   IANA maintains a registry of bit flags carried in the PCEP RP object
   as defined in [RFC5440].  IANA assigned a new bit flag as follows:

|  Bit Number  Hex       Name                             Reference
|  23          0x000017  Path-Key (P-bit)                 [RFC5520]

Corrected Text
--------------
   IANA maintains a registry of bit flags carried in the PCEP RP object
   as defined in [RFC5440].  IANA assigned a new bit flag as follows:

|  Bit Number    Name                                     Reference
|  23            Path-Key (P-bit)                         [RFC5520]

Notes
-----
Rationale: 'translating' the decimal bit number into a 6-digit (!) 
hexadecimal value does not add specific insight and might even be
considered confusing; at most a hexadecimal bit mask might have
some additional value -- but it should be specified as an /8/-digit
mask in this case (the RP Flags field is 32 bits wide).
Because the definition of the addressed sub-registry (Section 9.6
of RFC 5440) did not specify a 'Hex' item and the IANA Registry
consequentially does not contain such column, the 'Hex' column
should have been dropped from Section 7.3 of RFC 5520 as well.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5520 (draft-ietf-pce-path-key-05)
--------------------------------------
Title               : Preserving Topology Confidentiality in Inter-Domain Path Computation Using a Path-Key-Based Mechanism
Publication Date    : April 2009
Author(s)           : R. Bradford, Ed., JP. Vasseur, A. Farrel
Category            : PROPOSED STANDARD
Source              : Path Computation Element
Area                : Routing
Stream              : IETF
Verifying Party     : IESG